[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRegionOperation

Represents a region operation.

## Declaration

Source position: graphics.pp line 747

`type TRegionOperation = record`
`ROType: TRegionOperationType;` |  | Raster operation type.
`Source1: Integer;` |  | Index to a source region.
`Source2: Integer;` |  | Index to a source region.
`Dest: Integer;` |  | Index to the destination region.
`CombineMode: TRegionCombineMode;` |  | Region combine mode for the operation.
`Rect: TRect;` |  | Rectangle with the bounding box for the destination region.
`end;`